<?php

/**
 * @file
 * openafpm_site.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function openafpm_site_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'access administration menu'.
  $permissions['access administration menu'] = array(
    'name' => 'access administration menu',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'admin_menu',
  );

  // Exported permission: 'access administration pages'.
  $permissions['access administration pages'] = array(
    'name' => 'access administration pages',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'system',
  );

  // Exported permission: 'access all views'.
  $permissions['access all views'] = array(
    'name' => 'access all views',
    'roles' => array(),
    'module' => 'views',
  );

  // Exported permission: 'access comments'.
  $permissions['access comments'] = array(
    'name' => 'access comments',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'comment',
  );

  // Exported permission: 'access content'.
  $permissions['access content'] = array(
    'name' => 'access content',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'node',
  );

  // Exported permission: 'access content overview'.
  $permissions['access content overview'] = array(
    'name' => 'access content overview',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'access contextual links'.
  $permissions['access contextual links'] = array(
    'name' => 'access contextual links',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'contextual',
  );

  // Exported permission: 'access example charts'.
  $permissions['access example charts'] = array(
    'name' => 'access example charts',
    'roles' => array(),
    'module' => 'charts',
  );

  // Exported permission: 'access library reports'.
  $permissions['access library reports'] = array(
    'name' => 'access library reports',
    'roles' => array(),
    'module' => 'libraries',
  );

  // Exported permission: 'access private content'.
  $permissions['access private content'] = array(
    'name' => 'access private content',
    'roles' => array(
      'webadmin' => 'webadmin',
      'worker' => 'worker',
    ),
    'module' => 'private',
  );

  // Exported permission: 'access private fields'.
  $permissions['access private fields'] = array(
    'name' => 'access private fields',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: 'access private files'.
  $permissions['access private files'] = array(
    'name' => 'access private files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'access public files'.
  $permissions['access public files'] = array(
    'name' => 'access public files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'access rules debug'.
  $permissions['access rules debug'] = array(
    'name' => 'access rules debug',
    'roles' => array(),
    'module' => 'rules',
  );

  // Exported permission: 'access services_rules rules_get_one'.
  $permissions['access services_rules rules_get_one'] = array(
    'name' => 'access services_rules rules_get_one',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'services_rules',
  );

  // Exported permission: 'access services_rules rules_get_sim_type'.
  $permissions['access services_rules rules_get_sim_type'] = array(
    'name' => 'access services_rules rules_get_sim_type',
    'roles' => array(),
    'module' => 'services_rules',
  );

  // Exported permission: 'access services_rules rules_ping'.
  $permissions['access services_rules rules_ping'] = array(
    'name' => 'access services_rules rules_ping',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'services_rules',
  );

  // Exported permission: 'access services_rules rules_set_in_queue'.
  $permissions['access services_rules rules_set_in_queue'] = array(
    'name' => 'access services_rules rules_set_in_queue',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'services_rules',
  );

  // Exported permission: 'access site in maintenance mode'.
  $permissions['access site in maintenance mode'] = array(
    'name' => 'access site in maintenance mode',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'access site reports'.
  $permissions['access site reports'] = array(
    'name' => 'access site reports',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'access unmanaged files'.
  $permissions['access unmanaged files'] = array(
    'name' => 'access unmanaged files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'access user profiles'.
  $permissions['access user profiles'] = array(
    'name' => 'access user profiles',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'user',
  );

  // Exported permission: 'add JS snippets for google analytics'.
  $permissions['add JS snippets for google analytics'] = array(
    'name' => 'add JS snippets for google analytics',
    'roles' => array(),
    'module' => 'googleanalytics',
  );

  // Exported permission: 'add files to archive'.
  $permissions['add files to archive'] = array(
    'name' => 'add files to archive',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'admin tfa settings'.
  $permissions['admin tfa settings'] = array(
    'name' => 'admin tfa settings',
    'roles' => array(),
    'module' => 'tfa',
  );

  // Exported permission: 'administer CAPTCHA settings'.
  $permissions['administer CAPTCHA settings'] = array(
    'name' => 'administer CAPTCHA settings',
    'roles' => array(),
    'module' => 'captcha',
  );

  // Exported permission: 'administer actions'.
  $permissions['administer actions'] = array(
    'name' => 'administer actions',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer advanced forum'.
  $permissions['administer advanced forum'] = array(
    'name' => 'administer advanced forum',
    'roles' => array(),
    'module' => 'advanced_forum',
  );

  // Exported permission: 'administer advanced pane settings'.
  $permissions['administer advanced pane settings'] = array(
    'name' => 'administer advanced pane settings',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer blocks'.
  $permissions['administer blocks'] = array(
    'name' => 'administer blocks',
    'roles' => array(),
    'module' => 'block',
  );

  // Exported permission: 'administer charts'.
  $permissions['administer charts'] = array(
    'name' => 'administer charts',
    'roles' => array(),
    'module' => 'charts',
  );

  // Exported permission: 'administer ckeditor'.
  $permissions['administer ckeditor'] = array(
    'name' => 'administer ckeditor',
    'roles' => array(),
    'module' => 'ckeditor',
  );

  // Exported permission: 'administer comments'.
  $permissions['administer comments'] = array(
    'name' => 'administer comments',
    'roles' => array(),
    'module' => 'comment',
  );

  // Exported permission: 'administer content types'.
  $permissions['administer content types'] = array(
    'name' => 'administer content types',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'administer dependencies'.
  $permissions['administer dependencies'] = array(
    'name' => 'administer dependencies',
    'roles' => array(),
    'module' => 'conditional_fields',
  );

  // Exported permission: 'administer features'.
  $permissions['administer features'] = array(
    'name' => 'administer features',
    'roles' => array(),
    'module' => 'features',
  );

  // Exported permission: 'administer field permissions'.
  $permissions['administer field permissions'] = array(
    'name' => 'administer field permissions',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: 'administer fieldgroups'.
  $permissions['administer fieldgroups'] = array(
    'name' => 'administer fieldgroups',
    'roles' => array(),
    'module' => 'field_group',
  );

  // Exported permission: 'administer fields'.
  $permissions['administer fields'] = array(
    'name' => 'administer fields',
    'roles' => array(),
    'module' => 'field',
  );

  // Exported permission: 'administer file manager'.
  $permissions['administer file manager'] = array(
    'name' => 'administer file manager',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'administer filters'.
  $permissions['administer filters'] = array(
    'name' => 'administer filters',
    'roles' => array(),
    'module' => 'filter',
  );

  // Exported permission: 'administer forums'.
  $permissions['administer forums'] = array(
    'name' => 'administer forums',
    'roles' => array(),
    'module' => 'forum',
  );

  // Exported permission: 'administer google analytics'.
  $permissions['administer google analytics'] = array(
    'name' => 'administer google analytics',
    'roles' => array(),
    'module' => 'googleanalytics',
  );

  // Exported permission: 'administer image styles'.
  $permissions['administer image styles'] = array(
    'name' => 'administer image styles',
    'roles' => array(),
    'module' => 'image',
  );

  // Exported permission: 'administer masquerade'.
  $permissions['administer masquerade'] = array(
    'name' => 'administer masquerade',
    'roles' => array(),
    'module' => 'masquerade',
  );

  // Exported permission: 'administer menu'.
  $permissions['administer menu'] = array(
    'name' => 'administer menu',
    'roles' => array(),
    'module' => 'menu',
  );

  // Exported permission: 'administer modules'.
  $permissions['administer modules'] = array(
    'name' => 'administer modules',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer nodes'.
  $permissions['administer nodes'] = array(
    'name' => 'administer nodes',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'administer page manager'.
  $permissions['administer page manager'] = array(
    'name' => 'administer page manager',
    'roles' => array(),
    'module' => 'page_manager',
  );

  // Exported permission: 'administer pane access'.
  $permissions['administer pane access'] = array(
    'name' => 'administer pane access',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels display styles'.
  $permissions['administer panels display styles'] = array(
    'name' => 'administer panels display styles',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels layouts'.
  $permissions['administer panels layouts'] = array(
    'name' => 'administer panels layouts',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels pane styles'.
  $permissions['administer panels pane styles'] = array(
    'name' => 'administer panels pane styles',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels region styles'.
  $permissions['administer panels region styles'] = array(
    'name' => 'administer panels region styles',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels styles'.
  $permissions['administer panels styles'] = array(
    'name' => 'administer panels styles',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer pathauto'.
  $permissions['administer pathauto'] = array(
    'name' => 'administer pathauto',
    'roles' => array(),
    'module' => 'pathauto',
  );

  // Exported permission: 'administer permissions'.
  $permissions['administer permissions'] = array(
    'name' => 'administer permissions',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'administer recaptcha'.
  $permissions['administer recaptcha'] = array(
    'name' => 'administer recaptcha',
    'roles' => array(),
    'module' => 'recaptcha',
  );

  // Exported permission: 'administer rules'.
  $permissions['administer rules'] = array(
    'name' => 'administer rules',
    'roles' => array(),
    'module' => 'rules',
  );

  // Exported permission: 'administer services'.
  $permissions['administer services'] = array(
    'name' => 'administer services',
    'roles' => array(),
    'module' => 'services',
  );

  // Exported permission: 'administer site configuration'.
  $permissions['administer site configuration'] = array(
    'name' => 'administer site configuration',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer software updates'.
  $permissions['administer software updates'] = array(
    'name' => 'administer software updates',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer taxonomy'.
  $permissions['administer taxonomy'] = array(
    'name' => 'administer taxonomy',
    'roles' => array(),
    'module' => 'taxonomy',
  );

  // Exported permission: 'administer themes'.
  $permissions['administer themes'] = array(
    'name' => 'administer themes',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer url aliases'.
  $permissions['administer url aliases'] = array(
    'name' => 'administer url aliases',
    'roles' => array(),
    'module' => 'path',
  );

  // Exported permission: 'administer user locations'.
  $permissions['administer user locations'] = array(
    'name' => 'administer user locations',
    'roles' => array(),
    'module' => 'location_user',
  );

  // Exported permission: 'administer users'.
  $permissions['administer users'] = array(
    'name' => 'administer users',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'user',
  );

  // Exported permission: 'administer views'.
  $permissions['administer views'] = array(
    'name' => 'administer views',
    'roles' => array(),
    'module' => 'views',
  );

  // Exported permission: 'block IP addresses'.
  $permissions['block IP addresses'] = array(
    'name' => 'block IP addresses',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'bypass access in place editing'.
  $permissions['bypass access in place editing'] = array(
    'name' => 'bypass access in place editing',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'bypass node access'.
  $permissions['bypass node access'] = array(
    'name' => 'bypass node access',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'bypass rules access'.
  $permissions['bypass rules access'] = array(
    'name' => 'bypass rules access',
    'roles' => array(),
    'module' => 'rules',
  );

  // Exported permission: 'cancel account'.
  $permissions['cancel account'] = array(
    'name' => 'cancel account',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'change layouts in place editing'.
  $permissions['change layouts in place editing'] = array(
    'name' => 'change layouts in place editing',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'change own username'.
  $permissions['change own username'] = array(
    'name' => 'change own username',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'clone node'.
  $permissions['clone node'] = array(
    'name' => 'clone node',
    'roles' => array(),
    'module' => 'clone',
  );

  // Exported permission: 'clone own nodes'.
  $permissions['clone own nodes'] = array(
    'name' => 'clone own nodes',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'clone',
  );

  // Exported permission: 'copy to clipboard'.
  $permissions['copy to clipboard'] = array(
    'name' => 'copy to clipboard',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'create field_duration'.
  $permissions['create field_duration'] = array(
    'name' => 'create field_duration',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create field_femm_image'.
  $permissions['create field_femm_image'] = array(
    'name' => 'create field_femm_image',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create field_json_result'.
  $permissions['create field_json_result'] = array(
    'name' => 'create field_json_result',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create field_simulation_messages'.
  $permissions['create field_simulation_messages'] = array(
    'name' => 'create field_simulation_messages',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create field_simulation_status'.
  $permissions['create field_simulation_status'] = array(
    'name' => 'create field_simulation_status',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create field_simulation_type'.
  $permissions['create field_simulation_type'] = array(
    'name' => 'create field_simulation_type',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create field_variable_file'.
  $permissions['create field_variable_file'] = array(
    'name' => 'create field_variable_file',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create forum content'.
  $permissions['create forum content'] = array(
    'name' => 'create forum content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'create new directories'.
  $permissions['create new directories'] = array(
    'name' => 'create new directories',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'create new files'.
  $permissions['create new files'] = array(
    'name' => 'create new files',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'elfinder',
  );

  // Exported permission: 'create optiafpm_tool content'.
  $permissions['create optiafpm_tool content'] = array(
    'name' => 'create optiafpm_tool content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'create page content'.
  $permissions['create page content'] = array(
    'name' => 'create page content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'create simulation content'.
  $permissions['create simulation content'] = array(
    'name' => 'create simulation content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'create url aliases'.
  $permissions['create url aliases'] = array(
    'name' => 'create url aliases',
    'roles' => array(),
    'module' => 'path',
  );

  // Exported permission: 'create userafpm_tool content'.
  $permissions['create userafpm_tool content'] = array(
    'name' => 'create userafpm_tool content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'customize ckeditor'.
  $permissions['customize ckeditor'] = array(
    'name' => 'customize ckeditor',
    'roles' => array(),
    'module' => 'ckeditor',
  );

  // Exported permission: 'cut to clipboard'.
  $permissions['cut to clipboard'] = array(
    'name' => 'cut to clipboard',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'delete any forum content'.
  $permissions['delete any forum content'] = array(
    'name' => 'delete any forum content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any optiafpm_tool content'.
  $permissions['delete any optiafpm_tool content'] = array(
    'name' => 'delete any optiafpm_tool content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any page content'.
  $permissions['delete any page content'] = array(
    'name' => 'delete any page content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete any simulation content'.
  $permissions['delete any simulation content'] = array(
    'name' => 'delete any simulation content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any userafpm_tool content'.
  $permissions['delete any userafpm_tool content'] = array(
    'name' => 'delete any userafpm_tool content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete files and directories'.
  $permissions['delete files and directories'] = array(
    'name' => 'delete files and directories',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'delete own forum content'.
  $permissions['delete own forum content'] = array(
    'name' => 'delete own forum content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own optiafpm_tool content'.
  $permissions['delete own optiafpm_tool content'] = array(
    'name' => 'delete own optiafpm_tool content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own page content'.
  $permissions['delete own page content'] = array(
    'name' => 'delete own page content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own simulation content'.
  $permissions['delete own simulation content'] = array(
    'name' => 'delete own simulation content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own userafpm_tool content'.
  $permissions['delete own userafpm_tool content'] = array(
    'name' => 'delete own userafpm_tool content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete revisions'.
  $permissions['delete revisions'] = array(
    'name' => 'delete revisions',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete terms in forums'.
  $permissions['delete terms in forums'] = array(
    'name' => 'delete terms in forums',
    'roles' => array(),
    'module' => 'taxonomy',
  );

  // Exported permission: 'display drupal links'.
  $permissions['display drupal links'] = array(
    'name' => 'display drupal links',
    'roles' => array(),
    'module' => 'admin_menu',
  );

  // Exported permission: 'download all uploaded files'.
  $permissions['download all uploaded files'] = array(
    'name' => 'download all uploaded files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'download own uploaded files'.
  $permissions['download own uploaded files'] = array(
    'name' => 'download own uploaded files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'duplicate files'.
  $permissions['duplicate files'] = array(
    'name' => 'duplicate files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'edit any forum content'.
  $permissions['edit any forum content'] = array(
    'name' => 'edit any forum content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit any optiafpm_tool content'.
  $permissions['edit any optiafpm_tool content'] = array(
    'name' => 'edit any optiafpm_tool content',
    'roles' => array(
      'webadmin' => 'webadmin',
      'worker' => 'worker',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit any page content'.
  $permissions['edit any page content'] = array(
    'name' => 'edit any page content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit any simulation content'.
  $permissions['edit any simulation content'] = array(
    'name' => 'edit any simulation content',
    'roles' => array(
      'webadmin' => 'webadmin',
      'worker' => 'worker',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit any userafpm_tool content'.
  $permissions['edit any userafpm_tool content'] = array(
    'name' => 'edit any userafpm_tool content',
    'roles' => array(
      'webadmin' => 'webadmin',
      'worker' => 'worker',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit field_duration'.
  $permissions['edit field_duration'] = array(
    'name' => 'edit field_duration',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit field_femm_image'.
  $permissions['edit field_femm_image'] = array(
    'name' => 'edit field_femm_image',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit field_json_result'.
  $permissions['edit field_json_result'] = array(
    'name' => 'edit field_json_result',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit field_simulation_messages'.
  $permissions['edit field_simulation_messages'] = array(
    'name' => 'edit field_simulation_messages',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit field_simulation_status'.
  $permissions['edit field_simulation_status'] = array(
    'name' => 'edit field_simulation_status',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit field_simulation_type'.
  $permissions['edit field_simulation_type'] = array(
    'name' => 'edit field_simulation_type',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit field_variable_file'.
  $permissions['edit field_variable_file'] = array(
    'name' => 'edit field_variable_file',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit file description'.
  $permissions['edit file description'] = array(
    'name' => 'edit file description',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'edit files'.
  $permissions['edit files'] = array(
    'name' => 'edit files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'edit own comments'.
  $permissions['edit own comments'] = array(
    'name' => 'edit own comments',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'comment',
  );

  // Exported permission: 'edit own field_duration'.
  $permissions['edit own field_duration'] = array(
    'name' => 'edit own field_duration',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own field_femm_image'.
  $permissions['edit own field_femm_image'] = array(
    'name' => 'edit own field_femm_image',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own field_json_result'.
  $permissions['edit own field_json_result'] = array(
    'name' => 'edit own field_json_result',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own field_simulation_messages'.
  $permissions['edit own field_simulation_messages'] = array(
    'name' => 'edit own field_simulation_messages',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own field_simulation_status'.
  $permissions['edit own field_simulation_status'] = array(
    'name' => 'edit own field_simulation_status',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own field_simulation_type'.
  $permissions['edit own field_simulation_type'] = array(
    'name' => 'edit own field_simulation_type',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own field_variable_file'.
  $permissions['edit own field_variable_file'] = array(
    'name' => 'edit own field_variable_file',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own forum content'.
  $permissions['edit own forum content'] = array(
    'name' => 'edit own forum content',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own optiafpm_tool content'.
  $permissions['edit own optiafpm_tool content'] = array(
    'name' => 'edit own optiafpm_tool content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own page content'.
  $permissions['edit own page content'] = array(
    'name' => 'edit own page content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own simulation content'.
  $permissions['edit own simulation content'] = array(
    'name' => 'edit own simulation content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own userafpm_tool content'.
  $permissions['edit own userafpm_tool content'] = array(
    'name' => 'edit own userafpm_tool content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit private content'.
  $permissions['edit private content'] = array(
    'name' => 'edit private content',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'private',
  );

  // Exported permission: 'edit terms in forums'.
  $permissions['edit terms in forums'] = array(
    'name' => 'edit terms in forums',
    'roles' => array(),
    'module' => 'taxonomy',
  );

  // Exported permission: 'extract files from archive'.
  $permissions['extract files from archive'] = array(
    'name' => 'extract files from archive',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'file uploads'.
  $permissions['file uploads'] = array(
    'name' => 'file uploads',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'elfinder',
  );

  // Exported permission: 'flush caches'.
  $permissions['flush caches'] = array(
    'name' => 'flush caches',
    'roles' => array(),
    'module' => 'admin_menu',
  );

  // Exported permission: 'generate features'.
  $permissions['generate features'] = array(
    'name' => 'generate features',
    'roles' => array(),
    'module' => 'features',
  );

  // Exported permission: 'get a system variable'.
  $permissions['get a system variable'] = array(
    'name' => 'get a system variable',
    'roles' => array(),
    'module' => 'services',
  );

  // Exported permission: 'get any binary files'.
  $permissions['get any binary files'] = array(
    'name' => 'get any binary files',
    'roles' => array(),
    'module' => 'services',
  );

  // Exported permission: 'get own binary files'.
  $permissions['get own binary files'] = array(
    'name' => 'get own binary files',
    'roles' => array(),
    'module' => 'services',
  );

  // Exported permission: 'manage features'.
  $permissions['manage features'] = array(
    'name' => 'manage features',
    'roles' => array(),
    'module' => 'features',
  );

  // Exported permission: 'mark content as private'.
  $permissions['mark content as private'] = array(
    'name' => 'mark content as private',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'private',
  );

  // Exported permission: 'masquerade as admin'.
  $permissions['masquerade as admin'] = array(
    'name' => 'masquerade as admin',
    'roles' => array(),
    'module' => 'masquerade',
  );

  // Exported permission: 'masquerade as any user'.
  $permissions['masquerade as any user'] = array(
    'name' => 'masquerade as any user',
    'roles' => array(),
    'module' => 'masquerade',
  );

  // Exported permission: 'masquerade as user'.
  $permissions['masquerade as user'] = array(
    'name' => 'masquerade as user',
    'roles' => array(),
    'module' => 'masquerade',
  );

  // Exported permission: 'mount network volumes'.
  $permissions['mount network volumes'] = array(
    'name' => 'mount network volumes',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'notify of path changes'.
  $permissions['notify of path changes'] = array(
    'name' => 'notify of path changes',
    'roles' => array(),
    'module' => 'pathauto',
  );

  // Exported permission: 'opt-in or out of tracking'.
  $permissions['opt-in or out of tracking'] = array(
    'name' => 'opt-in or out of tracking',
    'roles' => array(),
    'module' => 'googleanalytics',
  );

  // Exported permission: 'paste from clipboard'.
  $permissions['paste from clipboard'] = array(
    'name' => 'paste from clipboard',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'perform unlimited index queries'.
  $permissions['perform unlimited index queries'] = array(
    'name' => 'perform unlimited index queries',
    'roles' => array(),
    'module' => 'services',
  );

  // Exported permission: 'post comments'.
  $permissions['post comments'] = array(
    'name' => 'post comments',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'comment',
  );

  // Exported permission: 'preview files'.
  $permissions['preview files'] = array(
    'name' => 'preview files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'rename features'.
  $permissions['rename features'] = array(
    'name' => 'rename features',
    'roles' => array(),
    'module' => 'features',
  );

  // Exported permission: 'rename files and directories'.
  $permissions['rename files and directories'] = array(
    'name' => 'rename files and directories',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'resize images'.
  $permissions['resize images'] = array(
    'name' => 'resize images',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'revert revisions'.
  $permissions['revert revisions'] = array(
    'name' => 'revert revisions',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'save file information'.
  $permissions['save file information'] = array(
    'name' => 'save file information',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'services',
  );

  // Exported permission: 'select account cancellation method'.
  $permissions['select account cancellation method'] = array(
    'name' => 'select account cancellation method',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'set a system variable'.
  $permissions['set a system variable'] = array(
    'name' => 'set a system variable',
    'roles' => array(),
    'module' => 'services',
  );

  // Exported permission: 'set own user location'.
  $permissions['set own user location'] = array(
    'name' => 'set own user location',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'location_user',
  );

  // Exported permission: 'skip CAPTCHA'.
  $permissions['skip CAPTCHA'] = array(
    'name' => 'skip CAPTCHA',
    'roles' => array(),
    'module' => 'captcha',
  );

  // Exported permission: 'skip comment approval'.
  $permissions['skip comment approval'] = array(
    'name' => 'skip comment approval',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'comment',
  );

  // Exported permission: 'submit latitude/longitude'.
  $permissions['submit latitude/longitude'] = array(
    'name' => 'submit latitude/longitude',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'location',
  );

  // Exported permission: 'use PHP for settings'.
  $permissions['use PHP for settings'] = array(
    'name' => 'use PHP for settings',
    'roles' => array(),
    'module' => 'php',
  );

  // Exported permission: 'use PHP for tracking visibility'.
  $permissions['use PHP for tracking visibility'] = array(
    'name' => 'use PHP for tracking visibility',
    'roles' => array(),
    'module' => 'googleanalytics',
  );

  // Exported permission: 'use Rules component rules_get_one'.
  $permissions['use Rules component rules_get_one'] = array(
    'name' => 'use Rules component rules_get_one',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'rules',
  );

  // Exported permission: 'use Rules component rules_ping'.
  $permissions['use Rules component rules_ping'] = array(
    'name' => 'use Rules component rules_ping',
    'roles' => array(
      'worker' => 'worker',
    ),
    'module' => 'rules',
  );

  // Exported permission: 'use ctools import'.
  $permissions['use ctools import'] = array(
    'name' => 'use ctools import',
    'roles' => array(),
    'module' => 'ctools',
  );

  // Exported permission: 'use file manager'.
  $permissions['use file manager'] = array(
    'name' => 'use file manager',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'elfinder',
  );

  // Exported permission: 'use ipe with page manager'.
  $permissions['use ipe with page manager'] = array(
    'name' => 'use ipe with page manager',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'use page manager'.
  $permissions['use page manager'] = array(
    'name' => 'use page manager',
    'roles' => array(),
    'module' => 'page_manager',
  );

  // Exported permission: 'use panels caching features'.
  $permissions['use panels caching features'] = array(
    'name' => 'use panels caching features',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'use panels dashboard'.
  $permissions['use panels dashboard'] = array(
    'name' => 'use panels dashboard',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'use panels in place editing'.
  $permissions['use panels in place editing'] = array(
    'name' => 'use panels in place editing',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'use panels locks'.
  $permissions['use panels locks'] = array(
    'name' => 'use panels locks',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'use text format full_html'.
  $permissions['use text format full_html'] = array(
    'name' => 'use text format full_html',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'webadmin' => 'webadmin',
    ),
    'module' => 'filter',
  );

  // Exported permission: 'use text format php_code'.
  $permissions['use text format php_code'] = array(
    'name' => 'use text format php_code',
    'roles' => array(),
    'module' => 'filter',
  );

  // Exported permission: 'view all user locations'.
  $permissions['view all user locations'] = array(
    'name' => 'view all user locations',
    'roles' => array(),
    'module' => 'location_user',
  );

  // Exported permission: 'view field_duration'.
  $permissions['view field_duration'] = array(
    'name' => 'view field_duration',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view field_femm_image'.
  $permissions['view field_femm_image'] = array(
    'name' => 'view field_femm_image',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view field_json_result'.
  $permissions['view field_json_result'] = array(
    'name' => 'view field_json_result',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view field_simulation_messages'.
  $permissions['view field_simulation_messages'] = array(
    'name' => 'view field_simulation_messages',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view field_simulation_status'.
  $permissions['view field_simulation_status'] = array(
    'name' => 'view field_simulation_status',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view field_simulation_type'.
  $permissions['view field_simulation_type'] = array(
    'name' => 'view field_simulation_type',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view field_variable_file'.
  $permissions['view field_variable_file'] = array(
    'name' => 'view field_variable_file',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view file description'.
  $permissions['view file description'] = array(
    'name' => 'view file description',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'view file downloads'.
  $permissions['view file downloads'] = array(
    'name' => 'view file downloads',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'view file info'.
  $permissions['view file info'] = array(
    'name' => 'view file info',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'view file owner'.
  $permissions['view file owner'] = array(
    'name' => 'view file owner',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'view forum statistics'.
  $permissions['view forum statistics'] = array(
    'name' => 'view forum statistics',
    'roles' => array(),
    'module' => 'advanced_forum',
  );

  // Exported permission: 'view last edited notice'.
  $permissions['view last edited notice'] = array(
    'name' => 'view last edited notice',
    'roles' => array(),
    'module' => 'advanced_forum',
  );

  // Exported permission: 'view location directory'.
  $permissions['view location directory'] = array(
    'name' => 'view location directory',
    'roles' => array(),
    'module' => 'location',
  );

  // Exported permission: 'view node location table'.
  $permissions['view node location table'] = array(
    'name' => 'view node location table',
    'roles' => array(),
    'module' => 'location',
  );

  // Exported permission: 'view node map'.
  $permissions['view node map'] = array(
    'name' => 'view node map',
    'roles' => array(),
    'module' => 'gmap_location',
  );

  // Exported permission: 'view own field_duration'.
  $permissions['view own field_duration'] = array(
    'name' => 'view own field_duration',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own field_femm_image'.
  $permissions['view own field_femm_image'] = array(
    'name' => 'view own field_femm_image',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own field_json_result'.
  $permissions['view own field_json_result'] = array(
    'name' => 'view own field_json_result',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own field_simulation_messages'.
  $permissions['view own field_simulation_messages'] = array(
    'name' => 'view own field_simulation_messages',
    'roles' => array(
      'authenticated user' => 'authenticated user',
      'worker' => 'worker',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own field_simulation_status'.
  $permissions['view own field_simulation_status'] = array(
    'name' => 'view own field_simulation_status',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own field_simulation_type'.
  $permissions['view own field_simulation_type'] = array(
    'name' => 'view own field_simulation_type',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own field_variable_file'.
  $permissions['view own field_variable_file'] = array(
    'name' => 'view own field_variable_file',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own unpublished content'.
  $permissions['view own unpublished content'] = array(
    'name' => 'view own unpublished content',
    'roles' => array(
      'webadmin' => 'webadmin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'view own user location'.
  $permissions['view own user location'] = array(
    'name' => 'view own user location',
    'roles' => array(
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'location_user',
  );

  // Exported permission: 'view pane admin links'.
  $permissions['view pane admin links'] = array(
    'name' => 'view pane admin links',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'view revisions'.
  $permissions['view revisions'] = array(
    'name' => 'view revisions',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'view the administration theme'.
  $permissions['view the administration theme'] = array(
    'name' => 'view the administration theme',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'view user location details'.
  $permissions['view user location details'] = array(
    'name' => 'view user location details',
    'roles' => array(),
    'module' => 'gmap_location',
  );

  // Exported permission: 'view user location table'.
  $permissions['view user location table'] = array(
    'name' => 'view user location table',
    'roles' => array(),
    'module' => 'location',
  );

  // Exported permission: 'view user map'.
  $permissions['view user map'] = array(
    'name' => 'view user map',
    'roles' => array(
      'anonymous user' => 'anonymous user',
      'authenticated user' => 'authenticated user',
    ),
    'module' => 'gmap_location',
  );

  // Exported permission: 'write private files'.
  $permissions['write private files'] = array(
    'name' => 'write private files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  // Exported permission: 'write public files'.
  $permissions['write public files'] = array(
    'name' => 'write public files',
    'roles' => array(),
    'module' => 'elfinder',
  );

  return $permissions;
}
